<?php

if ( ! function_exists( 'cevian_select_register_blog_masonry_template_file' ) ) {
	/**
	 * Function that register blog masonry template
	 */
	function cevian_select_register_blog_masonry_template_file( $templates ) {
		$templates['blog-masonry'] = esc_html__( 'Blog: Masonry', 'cevian' );
		
		return $templates;
	}
	
	add_filter( 'cevian_select_filter_register_blog_templates', 'cevian_select_register_blog_masonry_template_file' );
}

if ( ! function_exists( 'cevian_select_set_blog_masonry_type_global_option' ) ) {
	/**
	 * Function that set blog list type value for global blog option map
	 */
	function cevian_select_set_blog_masonry_type_global_option( $options ) {
		$options['masonry'] = esc_html__( 'Blog: Masonry', 'cevian' );
		
		return $options;
	}
	
	add_filter( 'cevian_select_filter_blog_list_type_global_option', 'cevian_select_set_blog_masonry_type_global_option' );
}